Subject: bug#66582: annoying, needless warning messages from [fe]grep

From: Noah Friedman <[email-masked]>
Date: Mon, 16 Oct 2023 17:44:39 -0700 (PDT)

Just because a program is considered deprecated or obsolete by a standards
committee, is no reason to actually force that program out of use or
availablity.  And since when does GNU adhere strictly to POSIX anyway?

So my bug report is this: fgrep and egrep should not emit any warning on
stderr about being obsolescent unless the environment POSIXLY_CORRECT is
set.  If you want to be *really* pedantic, it shouldn't emit a warning
unless POSIXLY_CORRECT is set to the specific standards level (or above) in
which it was declared obsolete.  :-P

Because goddammit, there are 40 years worth of old programs out there that
are going to keep using egrep, and as a crusty 50+ year old myself, I'm not
planning to train my fingers out of using it either. 

Just let some things *be*.